<?
include 'config.php';
include 'func.php';
head();
ban();
aut();

echo head . 'Ресторан' . div . katalog;
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'restoran' WHERE `id` = '".$id_session."'");
####################################################
function img($msg){$img = '<img src="restaurant_images/' . $msg . '" alt="" /> ';return $img; };
function back($url){echo "</div><div class='menu_razd'><img src='restaurant_images/3.png' alt='' /> <a href='?mod=$url'>Назад</a></div>\n";return;}; //////////Вписать свои дивы////////////
function div($text){echo "<div class='menu_razd'>$text</div><div class='page_foot'>\n";return;}; ////////////Вписать свои дивы//////////
function preg($a, $metod, $n){
 if ( $n == 1 ) $nabor = 'a-zA-Z0-9_'; else $nabor = '0-9';
 if ( $metod == 'POST')
  If (!isset($_POST[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_POST[$a])) $result = false; else $result = $_POST[$a]; 
 else
  If (!isset($_GET[$a]) || !preg_match("!^[" . $nabor . "]+$!i",$_GET[$a])) $result = false; else $result = $_GET[$a];
return $result;
};
function f_time($t) {
$ch = floor( $t / (60 * 60) ); $m = floor( ($t - ($ch * 60 * 60) ) / 60 ); $s = $t - (  ( ($ch * 60 * 60) + ($m * 60) ) );
$time = '';
if ( $ch != 0 ) $time.= $ch." ч. ";
if ( $m != 0 ) $time.= "$m мин. ";
if ( $s != 0 ) $time.= "$s сек.";
if ( $ch < 0 ) if ( isset($_GET['mod']) AND ( $_GET['mod'] == 'my_office' || $_GET['mod'] == 'holiday' || $_GET['mod'] == 'rek' ) ) $time = 'Нету'; else $time = 'Неработает'; 
return $time;}

$s = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_settings` WHERE `id` = '1' LIMIT 1"));
$mod = preg('mod', 'GET', 1);
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]'") )==1){
$info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
} else {
div('Создание ресторана');
if ( isset($_POST['name']) ){
If (!isset($_POST['name']) || !preg_match("!^[\x80-\xFFA-z0-9_ ]+$!i",$_POST['name'])) $name=false; else $name= mysql_escape_string ( htmlspecialchars ( $_POST['name'] ) ); $error='';
if ( $name == false ) $error.= 'Неверное название ресторана.<br />';
if ( strlen($name )<4 || strlen($name)>20) $error.= 'Название должно состоять из 4 - 20 символов!<br />';
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `name` = '$name'") )) $error.= 'Такой ресторан уже существует.<br />';
if(!empty($error)) { 
echo "<font color='red'>$error</font><br />\n
<form action='?' method='post'>
Название ресторана:<br />\n
<input type='text' name='name' maxlength='20' /><br />\n
<input type='submit' value='Создать' /></form>\n";
} else {
mysql_query( "INSERT INTO `restaurant_user` SET `login` = '$user[login]', `name` = '$name', `money` = '$s[in_money]', `area` = '$s[in_area]', `date`='" . time() . "', `date_money`='" . time() . "'");
echo "Ресторан с названием <b>$name</b> успешно создан.<br />\n";
div('<a href="?">В игру</a>');
}
}else{echo "Вы открываете свой ресторан. У вас небольшое помещение, слабенькая кухня и из сотрудников только повар т.е. Вы. Ну и немного деньжат: $s[in_money] " . img('1.gif') . "<br />\n
<form action='?' method='post'>
Название ресторана:<br />\n
<input type='text' name='name' maxlength='20' /><br />\n
<input type='submit' value='Создать' /></form>\n";}
navig();
foot();
EXIT;}
switch ($mod) {

case 'kitchen':
div('Кухня');
if ( isset($_GET['up']) AND floor($info['lvl'] / 2) > $info['kitchen_lvl'] - 1 ){ $money = floor($info['kitchen_lvl'] * $s['kitchen_m'] / 100 * 118);
 if ( $info['money'] >= $money ) {
  echo "<b>Результат:</b> Вы успешно повысили уровень кухни. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `kitchen_lvl`= `kitchen_lvl` +1, `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($money - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}
if ($info['lvl']%2 == 0) $lvl = $info['lvl'] + 2; else $lvl = $info['lvl'] + 1;
echo "Уровень кухни: <b>$info[kitchen_lvl]</b> <br />\n
Цена одной порции: <b>" . floor(($s['price_s'] + $info['kitchen_lvl']) / 100 * 120) . "</b>" . img('1.gif') . " <br />\n
Стоимость следующего улучшения: <b>" . floor($info['kitchen_lvl'] * $s['kitchen_m'] / 100 * 118) . "</b>" . img('1.gif') . " <br />\n";
if ( floor($info['lvl'] / 2) > $info['kitchen_lvl'] - 1 ) echo "<a href='?mod=kitchen&amp;up'>Улучшить</a> <br />\n"; else echo "Для улучшения получите <b>$lvl</b> уровень. <br />\n";
back('');
break;

case 'interior':
div('Интерьер');
if ( isset($_GET['up']) AND $info['lvl'] > $info['interior_lvl'] ){ $money = floor($info['interior_lvl'] * $s['interior_m'] / 100 * 118);
 if ( $info['money'] >= $money ) {
  echo "<b>Результат:</b> Вы успешно повысили уровень интерьера. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `interior_lvl`= `interior_lvl` +1, `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($money - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}
echo "Уровень интерьера: <b>$info[interior_lvl]</b> <br />\n
Привлекательность: <b>" . floor($info['interior_lvl'] - ( $info['interior_lvl'] / 100 * 20 )) . "</b> <br />\n
Стоимость следующего улучшения: <b>" . floor($info['interior_lvl'] * $s['interior_m'] / 100 * 118) . "</b>" . img('1.gif') . " <br />\n";
if ( $info['lvl'] > $info['interior_lvl']) echo "<a href='?mod=interior&amp;up'>Улучшить</a> <br />\n"; else echo "Для улучшения получите следующий уровень. <br />\n";
back('');
break;

case 'desk':
div('Столы');
if ( isset($_GET['up']) AND $info['area'] * 6 + 3 - ( $info['desk_kol'] * 3 ) >= 3 ){
 if ( $info['money'] >= $s['desk_m'] ) {
  echo "<b>Результат:</b> Вы успешно купили стол. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `desk_kol`= `desk_kol` +1, `money` = `money` - '$s[desk_m]' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($s['desk_m'] - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}
echo "Кол. столов: <b>$info[desk_kol]</b> шт. <br />\n
Мест для поситителей: <b>" . ( $info['desk_kol'] * 4 ) . "</b> <br />\n
Стоимость стола: <b>$s[desk_m]</b> <br />\n";
if ( $info['area'] * 6 + 3 - ( $info['desk_kol'] * 3 ) >= 3 ) echo "<a href='?mod=desk&amp;up'>Купить стол</a> <br />\n"; else echo "У вас нет места для нового стола. <br />\n";
back('');
break;

case 'area':
div('Столы');
if ( isset($_GET['up']) AND $info['lvl'] >= $info['area'] * 5 ){ $money = $s['area_m'] * $info['area'] + ($s['area_m'] * $info['area'] / 100 * 23) ;
 if ( $info['money'] >= $money ) {
  echo "<b>Результат:</b> Вы успешно купили расширение. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `area`= `area` + 1, `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($money - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}
echo "Площадь помещания: <b>" . ($info['area'] * 6 + 13) . "</b> м2 <br />\n
Занимает кухня: <b>10</b> м2 <br />\n
Занимают столы: <b>" . ( $info['desk_kol'] * 3 ) . "</b> м2 <br />\n
Свободно: <b>" . ( $info['area'] * 6 - ( $info['desk_kol'] * 3 ) + 3 ) . "</b> м2 <br />\n
Стоимость расширения: <b>" . ($s['area_m'] * $info['area'] + ($s['area_m'] * $info['area'] / 100 * 23) ) . "</b> <br />\n";
if ( $info['lvl'] >= $info['area'] * 5  ) echo "<a href='?mod=area&amp;up'>Купить расширение</a> <br />\n"; else echo "Расширение доступно с <b>" . ($info['area'] * 5) . "</b> уровня.<br />\n";
back('');
break;

case 'cook':
div('Повар');
echo "Уровень повара: <b>$info[cook_lvl]</b>";
if ( $info['cook_lvl'] >= 100 ) echo " MAX";
echo "<br />\nОпыт повара: <b>$info[cook_exp]</b>";  if ( $info['cook_lvl'] < 100 ) echo "/<b>" . pow( $s['lvl_kof_cook'] + $info['cook_lvl'], 3) ."</b>";
echo "<br />\nСтоимость порции + <b>" . ( floor(($s['price_s'] + $info['kitchen_lvl']) / 100 * 120) / 100 * $info['cook_lvl'] ) . "</b>" . img('1.gif') . " <br />\n";
back('');
break;

case 'online':
div('Онлайн: ' . mysql_num_rows ( mysql_query ("SELECT * FROM profile WHERE online = 'restoran' AND time > '" .(time()-600). "'") ));
$user = mysql_query ("SELECT * FROM profile WHERE online = 'restoran' AND time > '" .(time()-600). "'");
while ( $user_info = mysql_fetch_array ( $user ) ) {
$info_user = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user_info[login]' LIMIT 1"));
if ( $info_user['name'] != '') echo "<b>$info_user[name]</b>" . '('.user($user_info['id']) . ") :  ур. $info_user[lvl]<br />\n";
}
back('');
break;

case 'about_game':
div('Об игре/FAQ');
echo "Название: <b>Ресторан</b><br />\n
Разработчик: <b>Klesh</b><br />\n"; //прозьба не менять и не убирать эту строку
echo "Версия: <b>1.12</b> <br />\n
Часто задоваемые вопросы: <br />\n
<b>От чего зависит доход?</b> <br />\n
Доход зависит от посещаемости. Что бы добиться наибольшого дохода увеличивайте посещаемость на максимум.<br />\n
<b>От чего зависит прирост опыт?</b> <br />\n
Прирост опыта зависит от вашего заработка.<br />\n
<b>Что такое стол?</b> <br />\n
Стол добовляет 4 свободных места для поситителей. Он занимает 3 м2 и его цена не изменяется.<br />\n
<b>От куда берется опыт повора?</b> <br />\n
Опыт повора зависит от кол. приготовленных блюд.<br />\n
<b>На что влияет уровень повора?</b> <br />\n
Уровень повора влияет на цену еды чем выше уровень тем больше набавка.<br />\n
<b>Что будет если у меня не работает официант или уборщица или охранник?</b> <br />\n
За каждого нерабочего сотрудника ваша прибыль уменьшается на 20%<br />\n
<b>Что такое праздник?</b> <br />\n
Во время праздника доход вашего ресторана увеличивается в два раза.<br />\n
<b>Что такое реклама ресторана?</b> <br />\n
Во время рекламирования вашего ресторана его посещаемость становится максимальной.<br />\n
<b>От куда взять золотые монеты?</b> <br />\n
Золотые монеты даются в бонусе.<br />\n
<b>Что такое ежедневные бонус?</b> <br />\n
Ежедневный бонус это бонус даюзийся  каждые 24 часа при заходе в игру. В бонусе вам начисляют золотые монеты в разном количестве и <b>можно получить баллы сайта</b>!<br />\n



";
back('');
break;

case 'waiter':
div('Персонал');
if ( isset($_GET['f']) ){if ( $_GET['f'] == 1 || ( $_GET['f'] == 3 AND $info['waiter'] - time() < 60 * 60 * 3 - 180 ) || ( $_GET['f'] == 10 AND $info['waiter'] - time() < 60 * 60 * 10 - 180 ) ){
 $money = $s['waiter_m'] * $info['desk_kol'] * 4;
 if ( $_GET['f'] == 3 ) $money = $money * 3 / 100 * 90;
 if ( $_GET['f'] == 10 ) $money = $money * 10 / 100 * 80;
 if ( $info['money'] >= $money ){
 if ( $_GET['f'] == 1 ) $a = " 1 час"; elseif ( $_GET['f'] == 3 ) $a = " 3 часа"; else $a = " 10 часов";
  echo "<b>Результат:</b> Вы успешно наняли официанта на <b>$a</b>. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `waiter`= '" . ( time() + ( 60 * 60 * $_GET['f'] ) ) . "', `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($money - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}}
echo "Работник: <b>Официант</b> <br />\n
Время работы: <b>" . f_time($info['waiter'] - time()) . "</b><br />\n
Нанять на: <br />\n";
if ( $info['waiter'] - time() < 60 * 60 ) echo "<b>1 час</b>: " . ( $s['waiter_m'] * $info['desk_kol'] * 4 ) . "" . img('1.gif') . "[<a href='?mod=waiter&amp;f=1'>нанять</a>] <br />\n";
if ( $info['waiter'] - time() < 60 * 60 * 3 ) echo "<b>3 часа</b>: " . ($s['waiter_m'] * $info['desk_kol'] * 4 * 3 / 100 * 90) . "" . img('1.gif') . "[<a href='?mod=waiter&amp;f=3'>нанять</a>] <br />\n";
echo "<b>10 часов</b>: " . ($s['waiter_m'] * $info['desk_kol'] * 4 * 10 / 100 * 80) . "" . img('1.gif') . "[<a href='?mod=waiter&amp;f=10'>нанять</a>] <br />\n";
back('');
break;

case 'cleaning':
div('Персонал');
if ( isset($_GET['f']) ){if ( $_GET['f'] == 1 || ( $_GET['f'] == 3 AND $info['cleaning'] - time() < 60 * 60 * 3 - 180 ) || ( $_GET['f'] == 10 AND $info['cleaning'] - time() < 60 * 60 * 10 - 180 ) ){
 $money = $s['cleaning_m'] * $info['desk_kol'] * 4;
 if ( $_GET['f'] == 3 ) $money = $money * 3 / 100 * 90;
 if ( $_GET['f'] == 10 ) $money = $money * 10 / 100 * 80;
 if ( $info['money'] >= $money ){
 if ( $_GET['f'] == 1 ) $a = " 1 час"; elseif ( $_GET['f'] == 3 ) $a = " 3 часа"; else $a = " 10 часов";
  echo "<b>Результат:</b> Вы успешно наняли уборщицу на <b>$a</b>. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `cleaning`= '" . ( time() + ( 60 * 60 * $_GET['f'] ) ) . "', `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($money - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}}
echo "Работник: <b>Уборщица</b> <br />\n
Время работы: <b>" . f_time($info['cleaning'] - time()) . "</b><br />\n
Нанять на: <br />\n";
if ( $info['cleaning'] - time() < 60 * 60 ) echo "<b>1 час</b>: " . ( $s['cleaning_m'] * $info['desk_kol'] * 4 ) . "" . img('1.gif') . "[<a href='?mod=cleaning&amp;f=1'>нанять</a>] <br />\n";
if ( $info['cleaning'] - time() < 60 * 60 * 3 ) echo "<b>3 часа</b>: " . ($s['cleaning_m'] * $info['desk_kol'] * 4 * 3 / 100 * 90) . "" . img('1.gif') . "[<a href='?mod=cleaning&amp;f=3'>нанять</a>] <br />\n";
echo "<b>10 часов</b>: " . ($s['cleaning_m'] * $info['desk_kol'] * 4 * 10 / 100 * 80) . "" . img('1.gif') . "[<a href='?mod=cleaning&amp;f=10'>нанять</a>] <br />\n";
back('');
break;

case 'security':
div('Персонал');
if ( isset($_GET['f']) ){if ( $_GET['f'] == 1 || ( $_GET['f'] == 3 AND $info['security'] - time() < 60 * 60 * 3 - 180 ) || ( $_GET['f'] == 10 AND $info['security'] - time() < 60 * 60 * 10 - 180 ) ){
 $money = $s['security_m'] * $info['desk_kol'] * 4;
 if ( $_GET['f'] == 3 ) $money = $money * 3 / 100 * 90;
 if ( $_GET['f'] == 10 ) $money = $money * 10 / 100 * 80;
 if ( $info['money'] >= $money ){
 if ( $_GET['f'] == 1 ) $a = " 1 час"; elseif ( $_GET['f'] == 3 ) $a = " 3 часа"; else $a = " 10 часов";
  echo "<b>Результат:</b> Вы успешно наняли охранника на <b>$a</b>. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `security`= '" . ( time() + ( 60 * 60 * $_GET['f'] ) ) . "', `money` = `money` - '$money' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($money - $info['money']) . "</b> " . img('1.gif') . "<br />\n";}}
echo "Работник: <b>Охранник</b> <br />\n
Время работы: <b>" . f_time($info['security'] - time()) . "</b><br />\n
Нанять на: <br />\n";
if ( $info['security'] - time() < 60 * 60 ) echo "<b>1 час</b>: " . ( $s['security_m'] * $info['desk_kol'] * 4 ) . "" . img('1.gif') . "[<a href='?mod=security&amp;f=1'>нанять</a>] <br />\n";
if ( $info['security'] - time() < 60 * 60 * 3 ) echo "<b>3 часа</b>: " . ($s['security_m'] * $info['desk_kol'] * 4 * 3 / 100 * 90) . "" . img('1.gif') . "[<a href='?mod=security&amp;f=3'>нанять</a>] <br />\n";
echo "<b>10 часов</b>: " . ($s['security_m'] * $info['desk_kol'] * 4 * 10 / 100 * 80) . "" . img('1.gif') . "[<a href='?mod=security&amp;f=10'>нанять</a>] <br />\n";
back('');
break;

case 'all':

div('Сортировка:');
$sort = preg('sort', 'GET', 1);
if ( $sort == false ) $sort_k = "ORDER BY id";
elseif ( $sort == 'lvl' ) $sort_k = "ORDER BY lvl DESC";
elseif ( $sort == 'money' ) $sort_k = "ORDER BY money DESC";
elseif ( $sort == 'cook' ) $sort_k = "ORDER BY cook_exp DESC";
else { $sort_k = "ORDER BY id"; $sort = false; }
if ( $sort == false ) $name = "<font color='red'>Без сортировки</font>"; else $name = "Без сортировки";
echo "<a href='?mod=all'>$name</a> | ";
if ( $sort == 'lvl' ) $name = "<font color='red'>Уровень</font>"; else $name = "Уровень";
echo "<a href='?mod=all&amp;sort=lvl'>$name</a> | ";
if ( $sort == 'money' ) $name = "<font color='red'>Бюджет</font>"; else $name = "Бюджет";
echo "<a href='?mod=all&amp;sort=money'>$name</a> | ";
if ( $sort == 'cook' ) $name = "<font color='red'>Повор</font>"; else $name = "Повор";
echo "<a href='?mod=all&amp;sort=cook'>$name</a>";
div('Все клубы:');
$sql = mysql_query ("SELECT * FROM `restaurant_user` $sort_k") or die(mysql_error());
while ( $guest = mysql_fetch_assoc($sql) )
{
echo $guest['login'] . " ($guest[name]) ";
if ( $sort == '' ) echo "Открыт: " . date ( 'd.m.Y в H:i' ,$guest['date'] ) . " ";
if ( $sort == 'lvl' ) echo "Уровень: $guest[lvl] ";
if ( $sort == 'money' ) echo "Бюджет: $guest[money] " . img('1.gif');
if ( $sort == 'cook' ) echo "Опыт: $guest[cook_exp] Ур. $guest[cook_lvl]";
echo "<br />\n";
}

div('Мини статистика:');
echo "Всего ресторанов: <b>" . mysql_num_rows ( mysql_query( " SELECT * FROM `restaurant_user` " ) ) . "</b><br />\n
Макс. онлайн: <b>$s[max_online]</b><br />\n";
back('');
break;

case 'inf_2':
div('Мой офис');
$kol = preg('kol', 'POST', 0);
if ( $kol != false AND $kol != 0 ) {
  if ( $user['balls'] >= $kol ){
    echo "<b>Результат:</b>Вы успешно обменяли <b>$kol</b> баллов на <b>" . ( $kol * $s['balls_money'] ) . "</b> долларов" . img('1.gif') . "<br />\n";
    mysql_query( "UPDATE `restaurant_user` SET `money` = `money` + '" . ( $kol * $s['balls_money'] ) . "' WHERE `login` = '$user[login]' LIMIT 1");
    mysql_query( "UPDATE `user` SET `balls` = `balls` - '$kol' WHERE `nick` = '$user[login]' LIMIT 1");
  } else echo "<b>Результат:</b>У вас нет столько баллов!<br />\n";
} else echo "<b>Результат:</b>Не верное количество.<br />\n";
back('inf');
break;

case 'inf':
div('Мой офис');
echo "
У вас <b>$user[balls]</b> баллов.<br />\n
Курс:<br />\n
Один балл = <b>$s[balls_money]</b> доллар" . img('1.gif') . "<br />\n
<form action='?mod=inf_2' method='post'>
Кол. баллов: <br />\n
<input type='text' name='kol' maxlength='30' /><br />\n
<input type='submit' value='Обменять' /></form><br />\n";
back('my_office');
break;

case 'name':
div('Мой офис');
if ( isset($_POST['name']) AND $_POST['name'] != '' AND $_POST['name'] != $info['name'] ){
If (!isset($_POST['name']) || !preg_match("!^[\x80-\xFFA-z0-9_ ]+$!i",$_POST['name'])) $name=false; else $name= mysql_escape_string ( htmlspecialchars ( $_POST['name'] ) ); $error='';
if ( $name == false ) $error.= 'Неверное название ресторана.<br />';
if ( strlen($name )<4 || strlen($name)>20) $error.= 'Название должно состоять из 4 - 20 символов!<br />';
if ( mysql_num_rows ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `name` = '$name'") )) $error.= 'Такой ресторан уже существует.<br />';
if ( $user['balls'] < $s['balls_name'] ) $error.= 'Недостаточно баллов.<br />'; 
if(!empty($error)) { echo "<b>Результат:</b> $error";
}else{ echo "<b>Результат:</b> Вы успешно сменили название ресторана на <b>$name</b>.<br />\n";
 mysql_query( "UPDATE `restaurant_user` SET `name` = '$name' WHERE `login` = '$user[login]' LIMIT 1");
 mysql_query( "UPDATE `user` SET `balls` = `balls` - '$s[balls_name]' WHERE `nick` = '$user[login]' LIMIT 1");
 $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
} }
echo "Смена названия ресторана.<br />\n
Цена смены названия: <b>$s[balls_name]</b> баллов (у вас <b>$user[balls]</b>)<br />\n
Текущее название: <b>$info[name]</b><br />\n
<form action='?mod=name' method='post'>
Новое название: <br />\n
<input type='text' name='name' maxlength='20' /><br />\n
<input type='submit' value='Сменить' /></form><br />\n";
back('my_office');
break;

case 'holiday':
div('Мой офис');
if ( isset($_GET['f']) ){if ( $_GET['f'] == 1 || ( $_GET['f'] == 3 AND $info['holiday'] - time() < 60 * 60 * 3 - 180 ) || ( $_GET['f'] == 10 AND $info['holiday'] - time() < 60 * 60 * 10 - 180 ) ){
 if ( $_GET['f'] == 1 ) $gold = 2; elseif ( $_GET['f'] == 5 ) $gold = 3; else $gold = 13;
 if ( $info['gold'] >= $gold ){
 if ( $_GET['f'] == 1 ) $a = " 1 час"; elseif ( $_GET['f'] == 3 ) $a = " 3 часа"; else $a = " 10 часов";
  echo "<b>Результат:</b> Вы успешно начали праздник на <b>$a</b>. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `holiday`= '" . ( time() + ( 60 * 60 * $_GET['f'] ) ) . "', `gold` = `gold` - '$gold' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($gold - $info['gold']) . "</b> " . img('2.png') . "<br />\n";}}
echo "Мероприятие: <b>Праздник</b> <br />\n
Время продолжения: <b>" . f_time($info['holiday'] - time()) . "</b><br />\n
Устроить на: <br />\n";
if ( $info['holiday'] - time() < 60 * 60 ) echo "<b>1 час</b>: 2" . img('2.png') . "[<a href='?mod=holiday&amp;f=1'>начать</a>] <br />\n";
if ( $info['holiday'] - time() < 60 * 60 * 3 ) echo "<b>3 часа</b>: 5" . img('2.png') . "[<a href='?mod=holiday&amp;f=3'>начать</a>] <br />\n";
echo "<b>10 часов</b>: 13" . img('2.png') . "[<a href='?mod=holiday&amp;f=10'>начать</a>] <br />\n";
back('my_office');
break;

case 'rek':
div('Мой офис');
if ( isset($_GET['f']) ){if ( $_GET['f'] == 1 || ( $_GET['f'] == 3 AND $info['rek'] - time() < 60 * 60 * 3 - 180 ) || ( $_GET['f'] == 10 AND $info['rek'] - time() < 60 * 60 * 10 - 180 ) ){
 if ( $_GET['f'] == 1 ) $gold = 1; elseif ( $_GET['f'] == 3 ) $gold = 3; else $gold = 8;
 if ( $info['gold'] >= $gold ){
 if ( $_GET['f'] == 1 ) $a = " 1 час"; elseif ( $_GET['f'] == 3 ) $a = " 3 часа"; else $a = " 10 часов";
  echo "<b>Результат:</b> Вы успешно начали рекламную акцию на <b>$a</b>. <br />\n";
  mysql_query( "UPDATE `restaurant_user` SET `rek`= '" . ( time() + ( 60 * 60 * $_GET['f'] ) ) . "', `gold` = `gold` - '$gold' WHERE `login` = '$info[login]' LIMIT 1");
  $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
 } else echo "<b>Результат:</b> Недостаточно <b>" . ($gold - $info['gold']) . "</b> " . img('2.png') . "<br />\n";}}
echo "Мероприятие: <b>Рекламные акции</b> <br />\n
Время продолжения: <b>" . f_time($info['rek'] - time()) . "</b><br />\n
Устроить на: <br />\n";
if ( $info['rek'] - time() < 60 * 60 ) echo "<b>1 час</b>: 1" . img('2.png') . "[<a href='?mod=rek&amp;f=1'>начать</a>] <br />\n";
if ( $info['rek'] - time() < 60 * 60 * 3 ) echo "<b>3 часа</b>: 2" . img('2.png') . "[<a href='?mod=rek&amp;f=3'>начать</a>] <br />\n";
echo "<b>10 часов</b>: 6" . img('2.png') . "[<a href='?mod=rek&amp;f=10'>начать</a>] <br />\n";
back('my_office');
break;

case 'my_office':
div('Мой офис');
echo "Управление рестораном.<br />\n
У вас золотых монеток: <b>$info[gold]</b> " . img('2.png') . "<br />\n
" . img('5.gif') . "<a href='?mod=rek'>Реклама ресторана</a> (<b>" . f_time($info['rek'] - time()) . "</b>)<br />\n
" . img('5.gif') . "<a href='?mod=holiday'>Праздник в ресторане</a> (<b>" . f_time($info['holiday'] - time()) . "</b>)<br />\n
" . img('5.gif') . "<a href='?mod=name'>Сменить название ресторана</a><br />\n
" . img('5.gif') . "<a href='?mod=inf'>Получить инвестицию</a><br />\n";
back('');
break;

default:

$online = mysql_num_rows ( mysql_query ("SELECT * FROM `profile` WHERE `online` = 'restoran' AND `time` > '" .(time()-600). "'") );
if ( $online > $s['max_online'] ) mysql_query( "UPDATE `TDofS_settings` SET `max_online` = '$online' LIMIT 1");

if ( $info['date_bonus'] + 60 * 60 * 24 < time() ) {
 div('Ежедневний бонус:');
 $gold = rand($s['bonus_g_n'],$s['bonus_g_k']);
 $balls = 0; $proc = rand(0,100); if ( $proc > 100 - $s['bonus_proc'] ) $balls = rand($s['bonus_b_n'],$s['bonus_b_k']);
 echo "Ваш седнешний бонус:<br />\n
 Золото: <b>$gold</b>" . img('2.png') . " <br />\n";
 if ( $balls != 0) echo "<b>Баллов: $balls</b><br />\n";echo "</div>";
 mysql_query( "UPDATE `restaurant_user` SET `gold` = `gold` + '$gold', `date_bonus` = '" . time() . "' WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
 mysql_query( "UPDATE `user` SET `balls` = `balls` + '$balls' WHERE `nick` = '$user[login]' LIMIT 1") or die (mysql_error());
}
$visit = ceil($info['desk_kol'] * 4 / 100 * 50) + (floor($info['interior_lvl'] - ( $info['interior_lvl'] / 100 * 20 )));
if ( $info['date_money'] < $info['rek'] ) $visit = $info['desk_kol'] * 4;
if ( $info['date_money'] + 60 * $s['date_money'] < time() ){ $n = 0;
 $kol = floor ( ( time() - $info['date_money'] ) / ( 60 * $s['date_money'] ) );
 $all_visit = $visit * $kol;
 $money = ceil($all_visit * ( ((($s['price_s'] + $info['kitchen_lvl']) / 100 * 120) ) + ( (($s['price_s'] + $info['kitchen_lvl']) / 100 * 120) / 100 * $info['cook_lvl']) ));
 if ( $info['date_money'] > $info['waiter'] ) $n = $n + 20; if ( $info['date_money'] > $info['cleaning'] ) $n = $n + 20; if ( $info['date_money'] > $info['security'] ) $n = $n + 20; 
 $money = ceil($money / 100 * (100 - $n));
 if ( $info['date_money'] < $info['holiday'] ) $money = $money * 2; 
 $exp = $money / $s['exp_kof'];
 $cook_exp = $all_visit / 100;
 if ( $info['exp'] + $exp >= 30 * $info['lvl'] * $s['lvl_kof'] ) {
  $lvl_up = 1; $exp = 0; mysql_query( "UPDATE `restaurant_user` SET `exp` = 0, `lvl` = `lvl` + 1 WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
 } else $lvl_up = 0;
  if ( $info['cook_exp'] + $cook_exp >= pow( $s['lvl_kof_cook'] + $info['cook_lvl'], 3) ) {
  $lvl_up_c = 1; mysql_query( "UPDATE `restaurant_user` SET `cook_lvl` = `cook_lvl` + 1 WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
 } else $lvl_up_c = 0;
 mysql_query( "UPDATE `restaurant_user` SET `money` = `money` + '$money', `cook_exp` = `cook_exp` + '$cook_exp', `exp` = `exp` + '$exp', `date_money` = " . ( $info['date_money'] + ( $kol * 60 * $s['date_money'] ) )  . " WHERE `login` = '$info[login]' LIMIT 1") or die (mysql_error());
 $info = mysql_fetch_array ( mysql_query ("SELECT * FROM `restaurant_user` WHERE `login`='$user[login]' LIMIT 1"));
}else{$money=0; $exp=0; $lvl_up=0; $lvl_up_c=0;}

div('Ресторан: ' . $info['name']);
if ( $lvl_up_c != 0 ) echo "<b>Новый уровень повора!</b><br />\n";
echo "Уровень: <b>$info[lvl]</b>" . img('4.png');
if ( $lvl_up != 0 ) echo "<b>Новый уровень!</b>";
echo "<br />\nБюджет: <b>$info[money]</b>";
if ( $money != 0 ) echo "+$money";
echo img('1.gif') . "<br />\nОпыт:  <b>" . floor($info['exp']) . "</b>";
if ( $exp != 0 ) echo "+$exp";
echo "/<b>" . (30 * $info['lvl'] * $s['lvl_kof']) ."</b><br />\n
Посещаемость: <b>$visit</b>/ <b>" . ( $info['desk_kol'] * 4 ) . "</b><br />\n</div>";
div('Меню: ');
echo img('5.gif') . "<a href='?mod=kitchen'>Кухня</a> (<b>$info[kitchen_lvl]</b> ур.) <br />\n
" . img('5.gif') . "<a href='?mod=interior'>Интерьер</a> (<b>$info[interior_lvl]</b> ур.) <br />\n
" . img('5.gif') . "<a href='?mod=desk'>Столы</a> (<b>$info[desk_kol]</b> шт.) <br />\n
" . img('5.gif') . "<a href='?mod=area'>Площадь помещания</a> (<b>" . ($info['area'] * 6 + 13) . "</b> м2) <br />\n</div>";
div('Персонал:');
echo img('5.gif') . "<a href='?mod=cook'>Повар (<b>$info[cook_lvl]</b> ур.)</a> <br />\n
" . img('5.gif') . "<a href='?mod=waiter'>Официант</a> (<b>" . f_time($info['waiter'] - time()) . "</b>) <br />\n
" . img('5.gif') . "<a href='?mod=cleaning'>Уборщица</a> (<b>" . f_time($info['cleaning'] - time()) . "</b>) <br />\n
" . img('5.gif') . "<a href='?mod=security'>Охранник</a> (<b>" . f_time($info['security'] - time()) . "</b>) <br />\n</div>";
div('Разное:');
echo img('5.gif') . "<a href='?mod=my_office'>Мой офис</a> <br />\n
" . img('5.gif') . "<a href='?mod=all'>Рестораны города</a> <br />\n
" . img('5.gif') . "<a href='?mod=about_game'>Об игре/FAQ</a>  <br />\n
Онлайн: <a href='?mod=online'>" . mysql_num_rows ( mysql_query ("SELECT * FROM `profile` WHERE `online` = 'restoran' AND `time` > '" .(time()-600). "'") ) . "</a> <br />\n</div></div>";

if ( $user['level'] >= 4 ) echo div('<a href="adm_panel/restaurant_a.php">Админка</a><br />');
echo "<b><a href='games.php'>В игры</a></b><br />\n";
break;
}
navig();
foot();
?>